<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <data noupdate="1">
        <!-- Server Action to Run Report Generation -->
        <record id="action_generate_auto_report" model="ir.actions.server">
            <field name="name">Generate Auto Report</field>
            <field name="model_id" ref="model_sos_report_generator"/>
            <field name="state">code</field>
            <field name="code">model.generate_and_save_pdf()</field>
        </record>

        <!-- Menu Item to Trigger Report Generation -->
        <menuitem id="sos_auto_report" name="Auto Report"
                  parent="sos_sales_report"
                  action="action_generate_auto_report"/>
    </data>
</odoo>
